#ifndef _Handle_PBRep_CurveOn2Surfaces_HeaderFile
#define _Handle_PBRep_CurveOn2Surfaces_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_CurveRepresentation_HeaderFile
#include <Handle_PBRep_CurveRepresentation.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_CurveRepresentation);
class PBRep_CurveOn2Surfaces;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_CurveOn2Surfaces);

class Handle(PBRep_CurveOn2Surfaces) : public Handle(PBRep_CurveRepresentation) {
  public:

    Handle(PBRep_CurveOn2Surfaces)():Handle(PBRep_CurveRepresentation)() {} 
    Handle(PBRep_CurveOn2Surfaces)(const Handle(PBRep_CurveOn2Surfaces)& aHandle) : Handle(PBRep_CurveRepresentation)(aHandle) 
     {
     }

    Handle(PBRep_CurveOn2Surfaces)(const PBRep_CurveOn2Surfaces* anItem) : Handle(PBRep_CurveRepresentation)((PBRep_CurveRepresentation *)anItem) 
     {
     }

    Handle(PBRep_CurveOn2Surfaces)& operator=(const Handle(PBRep_CurveOn2Surfaces)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_CurveOn2Surfaces)& operator=(const PBRep_CurveOn2Surfaces* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_CurveOn2Surfaces* operator->() const 
     {
      return (PBRep_CurveOn2Surfaces *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_CurveOn2Surfaces) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
